Bug 1309936 - [abrt] gnome-session: pthread_barrier_destroy(): gnome-session-check-accelerated-helper killed by SIGFPE
[abrt] gnome-session: pthread_barrier_destroy(): gnome-session-check-accelera...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:33f250a5dc15fc94ae1201aa968...
:
Depends On:
Blocks: F24FinalBlocker
  Show dependency treegraph
 
Reported: 2016-02-18 21:43 EST by Adam Williamson
Modified: 2016-03-23 11:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-23 11:17:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (8.75 KB, text/plain)
2016-02-18 21:43 EST, Adam Williamson
no flags Details
File: cgroup (242 bytes, text/plain)
2016-02-18 21:43 EST, Adam Williamson
no flags Details
File: core_backtrace (3.82 KB, text/plain)
2016-02-18 21:43 EST, Adam Williamson
no flags Details
File: dso_list (3.84 KB, text/plain)
2016-02-18 21:43 EST, Adam Williamson
no flags Details
File: environ (1.08 KB, text/plain)
2016-02-18 21:43 EST, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-18 21:43 EST, Adam Williamson
no flags Details
File: maps (17.88 KB, text/plain)
2016-02-18 21:43 EST, Adam Williamson
no flags Details
File: mountinfo (3.16 KB, text/plain)
2016-02-18 21:43 EST, Adam Williamson
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-18 21:43 EST, Adam Williamson
no flags Details
File: open_fds (186 bytes, text/plain)
2016-02-18 21:43 EST, Adam Williamson
no flags Details
File: proc_pid_status (1.24 KB, text/plain)
2016-02-18 21:43 EST, Adam Williamson
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-02-18 21:43 EST, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2016-02-18 21:43:27 EST
Description of problem:
Happened shortly after login to a Rawhide system upgraded from F23.

Version-Release number of selected component:
gnome-session-3.19.4-2.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-check-accelerated-helper
crash_function: pthread_barrier_destroy
executable:     /usr/libexec/gnome-session-check-accelerated-helper
global_pid:     1747
kernel:         4.5.0-0.rc4.git1.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pthread_barrier_destroy at pthread_barrier_destroy.c:40
 #1 pipe_barrier_destroy at ../../../../src/gallium/auxiliary/os/os_thread.h:155
 #2 lp_rast_destroy at lp_rast.c:970
 #3 llvmpipe_destroy_screen at lp_screen.c:528
 #4 dri_destroy_screen_helper at dri_screen.c:380
 #5 dri_destroy_screen at dri_screen.c:391
 #6 driDestroyScreen at dri_util.c:228
 #7 driswDestroyScreen at drisw_glx.c:587
 #8 FreeScreenConfigs at glxext.c:217
 #9 glx_display_free at glxext.c:240
Comment 1 Adam Williamson 2016-02-18 21:43:31 EST
Created attachment 1128389 [details]
File: backtrace
Comment 2 Adam Williamson 2016-02-18 21:43:32 EST
Created attachment 1128390 [details]
File: cgroup
Comment 3 Adam Williamson 2016-02-18 21:43:33 EST
Created attachment 1128391 [details]
File: core_backtrace
Comment 4 Adam Williamson 2016-02-18 21:43:34 EST
Created attachment 1128392 [details]
File: dso_list
Comment 5 Adam Williamson 2016-02-18 21:43:35 EST
Created attachment 1128393 [details]
File: environ
Comment 6 Adam Williamson 2016-02-18 21:43:36 EST
Created attachment 1128394 [details]
File: limits
Comment 7 Adam Williamson 2016-02-18 21:43:37 EST
Created attachment 1128395 [details]
File: maps
Comment 8 Adam Williamson 2016-02-18 21:43:38 EST
Created attachment 1128396 [details]
File: mountinfo
Comment 9 Adam Williamson 2016-02-18 21:43:39 EST
Created attachment 1128397 [details]
File: namespaces
Comment 10 Adam Williamson 2016-02-18 21:43:40 EST
Created attachment 1128398 [details]
File: open_fds
Comment 11 Adam Williamson 2016-02-18 21:43:41 EST
Created attachment 1128399 [details]
File: proc_pid_status
Comment 12 Adam Williamson 2016-02-18 21:43:42 EST
Created attachment 1128400 [details]
File: var_log_messages
Comment 13 Jan Kurik 2016-02-24 10:26:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 14 Adam Williamson 2016-03-18 17:39:39 EDT
Similar problem has been detected:

Booted the F24 Alpha 1.5 Workstation x86_64 live on a KVM with qxl/SPICE graphics. Crash notification appeared immediately the desktop came up, must have happened during startup.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-check-accelerated-helper
crash_function: pthread_barrier_destroy
executable:     /usr/libexec/gnome-session-check-accelerated-helper
global_pid:     1684
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        gnome-session-3.19.91-2.fc24
reason:         gnome-session-check-accelerated-helper killed by SIGFPE
runlevel:       unknown
type:           CCpp
uid:            1000
Comment 15 Adam Williamson 2016-03-18 17:40:52 EDT
This probably has the same basic cause as https://bugzilla.redhat.com/show_bug.cgi?id=1309933 , which seems to reliably happen around the same time, when booting Workstation on qxl.

Nominating as a Final blocker, per criterion "There must be no SELinux denial notifications or crash notifications on boot of or during installation from a release-blocking live image, or at first login after a default install of a release-blocking desktop."
Comment 16 Rex Dieter 2016-03-21 08:41:49 EDT
may be a dup of bug #1318541  (the crash ends in the same place at least)
Comment 17 Fedora Update System 2016-03-21 15:11:32 EDT
mesa-11.2.0-0.devel.12.24ea81a.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8e27c369d3
Comment 18 Fedora Update System 2016-03-21 18:30:06 EDT
mesa-11.2.0-0.devel.12.24ea81a.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8e27c369d3
Comment 19 Adam Williamson 2016-03-23 02:46:35 EDT
I don't see this with the updated mesa, thanks.
Comment 20 Fedora Update System 2016-03-23 11:17:24 EDT
mesa-11.2.0-0.devel.12.24ea81a.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.